Skip to main content
GET
Get a crypto deposit address

Authorizations

Authorization
string
header
required

OAuth 2.1 authorization-code flow with PKCE.

FlowAuthorization Code
Authorization URL
https://auth.streamloop.app/api/auth/oauth2/authorize
Token URL
https://auth.streamloop.app/api/auth/oauth2/token
Scopes1
streamloop:billing
Read billing/usage and create top-up links

Query Parameters

currency
string
required

Currency id from GET /crypto/currencies (e.g. a USDT/USDC/BTC/ETH/SOL identifier).

Response

Successful response.

address
string
required

Blockchain deposit address.

id
string
required

0xProcessing currency identifier used to create this wallet.

network
string
required

Network name, e.g. "TRC20", "ERC20", "Bitcoin", "Solana".

tag
string | null

Memo/tag required for TON, XRP, etc. Null if not required.